# &kde; kasutaja käsiraamat

Sebastian
Sauer

    mail@dipe.org

2008-10-22
0.01.01
kross
1

# `kross`

&kde; rakendus Krossi skriptide käivitamiseks.

## Kokkuvõte

    kross --help Üldised võtmed Qt võtmed KDE võtmed fail ...

## Kirjeldus

`kross` käivitab Krossi skriptid, mis on pandud kirja &kde; Javascriptis, Pythonis, Rubys, Javas ja Falconis.

## Üldised võtmed

`--author`

  Näitab infot autori kohta.

`--help`

  Näitab abiteadet võtmete kohta.

`--help-all`

  Näitab kõiki võtmeid.

`--help-kde`

  Näitab KDE spetsiifilisi võtmeid.

`--help-qt`

  Näitab Qt spetsiifilisi võtmeid.

`--license`

  Näitab litsentsiinfot.

`-v``--version`

  Näitab versiooniinfot.

## Rakenduse võtmed

`fail`...

  Käivitatavad skriptidega failid.

## Kasutamine

`kross` `fail` käivitab failis `fail` leiduva skripti pärast vastava skriptikeele interpretaatori plugina laadimist (keel tuvastatakse failinime sufiksi järgi).

Teiste keelte kui &kde; Javascript interpreteerimiseks peab olema paigaldatud kdebindings.

## Vaata ka

kdeoptions(7), qtoptions(7), python(1), ruby(1), kjs(1), java(1), falcon(1)

Rohkem teavet ja õppematerjale leiab leheküljelt http://kross.dipe.org/solution.html.

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.